Bug 115160 - Missing return statement ?
Missing return statement ?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: macutils (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-07 09:14 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-12 13:04:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-07 09:14:42 EST
Description of problem:

I just tried to compile package macutils-2.0b3-25 from Fedora.

The compiler said

1.

hqx.c(392): remark #1011: missing return statement at end of non-void
function "getqbuf"

The source code is

/* getqbuf(); q format -- read n characters from input into buf */
static getqbuf(buf, n)
    char *buf;
    int n;
{
    int i;

    for(i = 0; i < n; i++) {
        *buf++ = getq();
    }
}

Maybe getqbuf should have void return type ?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bart Martens 2004-02-10 20:32:28 EST
There is no return statement missing. The function is only used as a
void function. It would be nice to explictly declare the function as
void. I'm sure that not doing that, does not cause any problems.
Comment 2 Ngo Than 2004-02-12 13:04:41 EST
the code are old and probably need to be cleaned up.
if someone wants to cleanup, just do it.

Note You need to log in before you can comment on or make changes to this bug.